---
title: RTCIceCandidateStats.relayProtocol
slug: Web/API/RTCIceCandidateStats/relayProtocol
tags:
  - API
  - Candidate
  - ICE
  - Media
  - Property
  - Protocol
  - RTCIceCandidate
  - RTCIceCandidateStats
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - relayProtocol
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCIceCandidateStats")}} dictionary's <code><strong>relayProtocol</strong></code> property specifies the protocol being used by a local {{Glossary("ICE")}} candidate to communicate with the {{Glossary("TURN")}} server.</span></p>

<p>The ICE protocl being used by the candidate otherwise can be obtained from the {{domxref("RTCIceCandidateStats.protocol", "protocol")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>relayProtocol</em> = <em>rtcIceCandidateStats</em>.relayProtocol;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} identifying the protocol being used by the endpoint to communicate with the TURN server. The possible values are:</p>

<dl>
 <dt><code>tcp</code></dt>
 <dd>TCP (Transport Control Protocol) is being used to communicate with the TURN server.</dd>
 <dt><code>tls</code></dt>
 <dd>TLS (Transport Layer Security) is being used to communicate with the TURN server.</dd>
 <dt><code>udp</code></dt>
 <dd>UDP (User Datagram Protocol) is being used to communicate with the TURN server.</dd>
</dl>

<div class="notecard note">
<p><strong>Note:</strong> This property is only present on {{domxref("RTCIceCandidateStats")}} objects that represent local candidates.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-relayprotocol', 'RTCIceCandidateStats.relayProtocol') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.relayProtocol")}}</p>
